## mpi4py 2.0.0

=== conf/CMakeLists.txt ===
# Author:  Lisandro Dalcin
# Contact: dalcinl@gmail.com
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT(mpi4py)

SET(PythonInterp_FIND_VERSION ${PYTHON_VERSION})
SET(PythonLibs_FIND_VERSION   ${PYTHON_VERSION_STRING})

FIND_PACKAGE(PythonInterp)
FIND_PACKAGE(PythonLibs)
FIND_PACKAGE(MPI)

SET(mpi4py_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src")
SET(mpi4py_BINARY_DIR "${CMAKE_CURRENT_BINARY_DIR}/mpi4py")

FILE(GLOB mpi4py_PYTHON_FILES
     RELATIVE ${mpi4py_SOURCE_DIR}
     ${mpi4py_SOURCE_DIR}/*.py)

FILE(GLOB mpi4py_HEADER_FILES
     RELATIVE ${mpi4py_SOURCE_DIR}
     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.px[di]
     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.pyx
     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.[hi]
     ${mpi4py_SOURCE_DIR}/*.pxd
    )

FOREACH(file
        ${mpi4py_PYTHON_FILES}
        ${mpi4py_HEADER_FILES}
        )
  SET(src "${mpi4py_SOURCE_DIR}/${file}")
  SET(tgt "${mpi4py_BINARY_DIR}/${file}")
  ADD_CUSTOM_COMMAND(
    DEPENDS ${src}
    OUTPUT  ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E copy ${src} ${tgt}
    COMMENT "copy: ${file}"
    )
  SET(mpi4py_OUTPUT_FILES ${mpi4py_OUTPUT_FILES} ${tgt})
ENDFOREACH(file)

##FOREACH(file ${mpi4py_PYTHON_FILES})
##  SET(mpi4py_py  ${mpi4py_py}  "${mpi4py_BINARY_DIR}/${file}")
##  SET(mpi4py_pyc ${mpi4py_pyc} "${mpi4py_BINARY_DIR}/${file}c")
##  SET(mpi4py_pyo ${mpi4py_pyo} "${mpi4py_BINARY_DIR}/${file}o")
##ENDFOREACH(file)
##ADD_CUSTOM_COMMAND(
##  COMMAND ${CMAKE_COMMAND} ARGS -E echo 'from compileall import compile_dir'     > compile_py
##  COMMAND ${CMAKE_COMMAND} ARGS -E echo 'compile_dir(\"${mpi4py_BINARY_DIR}\")' >> compile_py
##  COMMAND ${PYTHON_EXECUTABLE} ARGS compile_py
##  COMMAND ${PYTHON_EXECUTABLE} ARGS -O compile_py
##  COMMAND ${CMAKE_COMMAND} ARGS -E remove compile_py
##  DEPENDS ${mpi4py_py}
##  OUTPUT  ${mpi4py_pyc} ${mpi4py_pyo}
##  )
##SET(mpi4py_OUTPUT_FILES ${mpi4py_OUTPUT_FILES} ${mpi4py_pyc} ${mpi4py_pyo})


FIND_PROGRAM(MPI_COMPILER_CC
  NAMES mpicc
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI C compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_CC)
FIND_PROGRAM(MPI_COMPILER_CXX
  NAMES mpicxx mpic++ mpiCC
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI C++ compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_CXX)
find_program(MPI_COMPILER_F77
  NAMES mpif77
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI F77 compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_F77)
FIND_PROGRAM(MPI_COMPILER_F90
  NAMES mpif90
  HINTS "${MPI_BASE_DIR}"
  PATH_SUFFIXES bin
  DOC "MPI F90 compiler wrapper")
MARK_AS_ADVANCED(MPI_COMPILER_F90)
FOREACH(file "mpi.cfg")
  SET(tgt "${mpi4py_BINARY_DIR}/${file}")
  ADD_CUSTOM_COMMAND(
    OUTPUT  ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo '[mpi]' > "${tgt}"
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpicc  = ${MPI_COMPILER_CC}'  >> ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpicxx = ${MPI_COMPILER_CXX}' >> ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpif77 = ${MPI_COMPILER_F77}' >> ${tgt}
    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpif90 = ${MPI_COMPILER_F90}' >> ${tgt}
    COMMENT "write: ${file}"
    )
  SET(mpi4py_OUTPUT_FILES ${mpi4py_OUTPUT_FILES} ${tgt})
ENDFOREACH(file)

ADD_CUSTOM_TARGET(mpi4py ALL DEPENDS ${mpi4py_OUTPUT_FILES})

INCLUDE_DIRECTORIES(
  ${MPI_INCLUDE_PATH}
  ${PYTHON_INCLUDE_PATH}
  "${mpi4py_SOURCE_DIR}"
  )

# --- mpi4py.MPI ---
PYTHON_ADD_MODULE(mpi4py.MPI MODULE "${mpi4py_SOURCE_DIR}/MPI.c")
SET_TARGET_PROPERTIES(
  mpi4py.MPI PROPERTIES
  OUTPUT_NAME "MPI" PREFIX ""
  COMPILE_FLAGS "${MPI_COMPILE_FLAGS}"
  LINK_FLAGS "${MPI_LINK_FLAGS}"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(mpi4py.MPI ${PYTHON_LIBRARY})
TARGET_LINK_LIBRARIES(mpi4py.MPI ${MPI_LIBRARIES})


# --- mpi4py.dl ---
PYTHON_ADD_MODULE(mpi4py.dl MODULE "${mpi4py_SOURCE_DIR}/dynload.c")
SET_TARGET_PROPERTIES(
  mpi4py.dl PROPERTIES
  OUTPUT_NAME "dl" PREFIX ""
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(mpi4py.dl ${PYTHON_LIBRARY})
TARGET_LINK_LIBRARIES(mpi4py.dl ${CMAKE_DL_LIBS})


# --- mpi4py/bin/python-mpi ---
ADD_EXECUTABLE(python-mpi "${mpi4py_SOURCE_DIR}/python.c")
SET_TARGET_PROPERTIES(
  python-mpi PROPERTIES
  COMPILE_FLAGS "${MPI_COMPILE_FLAGS}"
  LINK_FLAGS "${MPI_LINK_FLAGS}"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/bin"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(python-mpi ${PYTHON_LIBRARY})
TARGET_LINK_LIBRARIES(python-mpi ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libmpe.so ---
ADD_LIBRARY(pmpi-mpe MODULE "${mpi4py_SOURCE_DIR}/lib-pmpi/mpe.c")
SET_TARGET_PROPERTIES(
  pmpi-mpe PROPERTIES
  OUTPUT_NAME "mpe"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-mpe ${MPE_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-mpe ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libvt.so ---
ADD_LIBRARY(pmpi-vt MODULE "${mpi4py_SOURCE_DIR}/lib-pmpi/vt.c")
SET_TARGET_PROPERTIES(
  pmpi-vt PROPERTIES
  OUTPUT_NAME "vt"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-vt ${VT_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-vt ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libvt-mpi.so ---
ADD_LIBRARY(pmpi-vt-mpi MODULE "${mpi4py_SOURCE_DIR}/lib-pmpi/vt-mpi.c")
SET_TARGET_PROPERTIES(
  pmpi-vt-mpi PROPERTIES
  OUTPUT_NAME "vt-mpi"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-vt-mpi ${VT_MPI_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-vt-mpi ${MPI_LIBRARIES})

# --- mpi4py/lib-pmpi/libvt-hyb.so ---
ADD_LIBRARY(pmpi-vt-hyb MODULE "${mpi4py_SOURCE_DIR}/lib-pmpi/vt-hyb.c")
SET_TARGET_PROPERTIES(
  pmpi-vt-hyb PROPERTIES
  OUTPUT_NAME "vt-hyb"
  LIBRARY_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  RUNTIME_OUTPUT_DIRECTORY "${mpi4py_BINARY_DIR}/lib-pmpi"
  LINKER_LANGUAGE C
)
TARGET_LINK_LIBRARIES(pmpi-vt-hyb ${VT_HYB_LIBRARIES})
TARGET_LINK_LIBRARIES(pmpi-vt-hyb ${MPI_LIBRARIES})

=== debian/changelog ===
mpi4py (2.0.0-3) unstable; urgency=medium

  * Team Upload
  
  [ Stuart Prescott ]
  * Fix sover list used in dlopen so that current libmpi.so is found
    (Closes: #860476)

  [ Andreas Tille ]
  * Fix homepage
  * Priority: optional
  * Fix watch file
  * cme fix dpkg-control
  * Standards-Version: 4.1.0
  * Drop -dbg packages

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 08:27:21 +0200

mpi4py (2.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * In debian/rules:override_dh_auto_test, treat test errors as warnings.
    Closes: #856349.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Mar 2017 16:18:00 +0800

mpi4py (2.0.0-2) unstable; urgency=medium

  * Point to libm.so.6 in the test, not libm.so (Closes: #817884)
    (Thanks Alastair McKinstry)
  * Removed dangling symlink /usr/include/mpi4py.  include/ is symlinked
    for each python version under /usr/include/python*.*/mpi4py/
    (Closes: #805301)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Aug 2016 10:42:00 -0400

mpi4py (2.0.0-1) unstable; urgency=medium

  * New upstream release
    - should be compatible with python 3.5 (Closes: 793839)
  * debian/watch adjusted to monitor bitbucket
  * debian/control
    - boosted policy to 3.9.7
  * debian/rules
    - hardcode sphinx date for reproducible build (Closes: #788476)
      Thanks Juan Picca

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Feb 2016 08:23:56 -0500

mpi4py (1.3.1+hg20131106-2) unstable; urgency=medium

  * debian/rules
    - assure absent reliance on network via http*_proxy env var
  * debian/patches
    - up_tests_network_attr tag BaseTestSpawn tests as relying on network
      access and exclude them from running at pkg build time (Closes: #769801)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 16 Nov 2014 15:06:21 -0500

=== debian/control ===
Source: mpi4py
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               mpi-default-dev,
               mpi-default-bin,
               rsh-client | openssh-client,
               python-all-dev,
               python-numpy,
               python-sphinx,
               python-nose,
               cython,
               python3-all-dev,
               python3-numpy,
               python3-nose
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/mpi4py.git
Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/mpi4py.git
Homepage: http://pythonhosted.org/mpi4py/

Package: python-mpi4py
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         mpi-default-bin
Suggests: python-numpy
Description: bindings of the Message Passing Interface (MPI) standard
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).

Package: python3-mpi4py
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpi-default-bin
Suggests: python3-numpy
Description: bindings of the Message Passing Interface (MPI) standard
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).

Package: python-mpi4py-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python-mpi4py
Description: bindings of the MPI standard -- documentation
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).
 .
 This package provides HTML rendering of the user's manual.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PY2 = $(shell pyversions -vd)
PY2VERS = $(shell pyversions -vr)
PY3VERS = $(shell py3versions -vr)

CYTHON_VER := $(shell dpkg -l cython 2>/dev/null | awk '/^ii/{print $$3;}' || echo 0)
RECONF = $(shell dpkg --compare-versions $(CYTHON_VER) ge 0.19.1 && echo ",autoreconf" || echo "")

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

# Specify a specific version of MPI to use in the build, otherwise
# just use the default.
# MPI=.openmpi

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/

%:
	dh $@ --with python2,python3$(RECONF),sphinxdoc --buildsystem python_distutils

cythonize:
	@echo "D: removing previously generated by Cython sources"
	find -iname *.c | xargs grep -l 'Generated by Cython' | xargs -r rm
	python setup.py build_src

override_dh_autoreconf:
	dh_autoreconf debian/rules -- cythonize

# Enforce distutils build system to build for all supported versions
# then build documentation
override_dh_auto_build:
	dh_auto_build $@ -- \
		--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI)

	: # Build for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py build \
			--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI); \
	done

	: # Build documentation now
	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*$(PY2)` \
	 make -C docs/source/usrman/ html SPHINXOPTS="-D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	dh_auto_install

	: # Install for Python 3
	set -e; for v in $(PY3VERS); do \
		python$$v setup.py install  --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

	: # Remove python-mpi binaries
	find $(CURDIR)/debian/tmp -name python-mpi -delete
	find $(CURDIR)/debian/tmp -type d -empty -delete

override_dh_install:
	dh_install

	: # create symlinks for .h files
	set -e; for v in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v ] || \
		mkdir -p $(CURDIR)/debian/python-mpi4py/usr/include/python$$v; \
		dh_link usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
	done

	: # Python 3
	: # Can have python$$v symlink pointing to python3.?m or python3.?mu
	: # see #700995 for more details.  So first look where it points to
	: # and use that directory
	set -e; for v in $(PY3VERS); do \
	[ -d $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v ] || \
		pythonv_inc_dir=$$(readlink -f /usr/include/python$$v); \
		mkdir -p $(CURDIR)/debian/python3-mpi4py$$pythonv_inc_dir; \
		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py $${pythonv_inc_dir#/}/mpi4py; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for v in $(PY2VERS) $(PY3VERS); do \
     echo "I: testing using python$$v"; \
	echo "Note: test errors here are treated as warnings"; \
	 PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$v` \
	  /usr/bin/python$$v /usr/bin/nosetests -v --exclude='testPackUnpackExternal' -A "not network" || /bin/true ; \
	done
else
	: # Skip unittests due to nocheck
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-mpi4py-doc
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## Immediately useable documentation
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_auto_clean:
	dh_auto_clean $@
	rm -rf `find -name build -type d`
	rm -rf `find -name _build -type d`

	: # Remove Cython generated files
	rm -f src/mpi4py.MPE.c src/mpi4py.MPI.c src/include/mpi4py/mpi4py.MPI_api.h

get-orig-dev-source:
	cd ../mpi4py-hg/; \
	uver=`sed -ne "/__version__/s,.*= *'\(.*\)' *$$,\1,gp" src/__init__.py`; \
	tarball=../tarballs/mpi4py_$$uver+hg`date +"20%y%m%d"`.orig.tar.gz; \
	echo "I: Generating $$tarball"; \
	hg archive --exclude 'misc' -t tgz $$tarball;

## mpi4py 3.0.2

=== debian/changelog ===
mpi4py (3.0.2-13) unstable; urgency=medium

  * Team upload.
  * fix override_dh_strip to ignore missing debug .so files (not
    installed in doc arch-indep builds). Closes: #938970.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Aug 2019 01:39:45 +0800

mpi4py (3.0.2-12) unstable; urgency=medium

  * Team upload.
  * source-only upload to let python3-mpi4py-dbg migrate into testing

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2019 13:45:46 +0800

mpi4py (3.0.2-11) unstable; urgency=medium

  * Team upload.
  * provide python3-mpi4py-dbg built with python3-dbg
    (and python-mpi4py-dbg for python-dbg)

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Aug 2019 19:48:16 +0800

mpi4py (3.0.2-10) unstable; urgency=medium

  * Team upload.
  * debian patch fix_pytest4.patch updates [pytest] to [tool:pytest]
    for pytest4.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2019 08:56:32 +0800

mpi4py (3.0.2-9) unstable; urgency=medium

  * Team upload.
  * debian/tests: run with --color=no to make debci logs easier to read

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Jul 2019 20:36:43 +0800

mpi4py (3.0.2-8) unstable; urgency=medium

  * Team upload.
  * install pdf, info, man and bib documentation files
  * debian/rules: set ARCH_IGNORE_FAILED_TESTS=hurd-i386 to ignore
    test failures on hurd.
  * debian patch fix_docs.patch repositions ellipses (...) which
    at the beginning of the line corrupted the man page.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jul 2019 17:59:26 +0800

mpi4py (3.0.2-7) unstable; urgency=medium

  * Team upload.
  * debian/tests:
    - run with mpiexec -n 5 (recommended by upstream)
    - Restrictions: allow-stderr (to ignore a warning about
      MPI_THREAD_MULTIPLE on non-RMA/Infiniband hardware)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jul 2019 17:47:35 +0800

mpi4py (3.0.2-6) unstable; urgency=medium

  * Team upload.
  * set OMPI_MCA_rmaps_base_oversubscribe=yes in debian/tests/control
    to allow MPI spawn tests. Run tests with mpiexec -n 3.
  * update debian patch up_libm with upstream commit 89f86e9.

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 21:47:42 +0800

mpi4py (3.0.2-5) unstable; urgency=medium

  * Team upload.
  * don't build docs during arch binary builds:
    split override_dh_auto_build into -arch and -indep
  * debian/tests Depends: python3-nose
  * update Homepage: https://bitbucket.org/mpi4py/mpi4py

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 13:53:53 +0800

mpi4py (3.0.2-4) unstable; urgency=medium

  * Team upload.
  * mark python-mpi4py-doc as Multi-Arch: foreign
  * add python module dependencies for debian/tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 08:09:00 +0800

mpi4py (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * drop fix-dlopen.patch again. libm.so fixes for test_dl.py belong in
    debian patch up_libm.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jul 2019 01:23:37 +0800

mpi4py (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * skip build tests on x32 (they consistently time out)
  * add debian/tests to support autopkgtest
  * reinstate debian patch fix-dlopen.patch and use
    ctypes.util.find_library to find the system's libm.so.
    Needed for systems without lib.so.6 (alpha, ia64).
    Closes: #840817.
  * reinstate build test failures as errors not warnings.
    Tests are now expected to pass. Closes: #856349.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jul 2019 00:47:26 +0800

mpi4py (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #897956.
    - deprecates debian patch fix-dlopen.patch
  * Move mpi4py packaging to the Debian Science Team.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12
    - drop autoreconf from dh addons (now applied automatically)
    - dh_dwz has been deactivated since it generates an error:
      ".debug_line reference above end of section"
    - docs now placed in /usr/share/doc/python-mpi4py not
      .../python-mpi4py-doc
  * Use pybuild, cython3, python3-sphinx to build.
    - debian patch docs_sphinx_python3.patch invokes python3-sphinx
  * python3-mpi4py Depends: mpi-default-bin. Closes: #821466.
  * add debian/missing-sources to satisfy lintian errors for
    redirect.html, jquery.js, underscore.js

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jul 2019 00:31:51 +0800

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: mpi4py
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                mpi-default-dev,
                mpi-default-bin,
                rsh-client | openssh-client,
                python-all-dev,
+               python-all-dbg,
                python-numpy,
-               python-sphinx,
                python-nose,
-               cython,
+               cython3,
                python3-all-dev,
+               python3-all-dbg,
                python3-numpy,
-               python3-nose
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/mpi4py.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/mpi4py.git
-Homepage: http://pythonhosted.org/mpi4py/
+               python3-nose,
+               python3-sphinx
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/science-team/mpi4py
+Vcs-Git: https://salsa.debian.org/science-team/mpi4py.git
+Homepage: https://bitbucket.org/mpi4py/mpi4py
 
 Package: python-mpi4py
 Architecture: any
@@ -46,8 +48,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: mpi-default-bin
+         ${python3:Depends},
+         mpi-default-bin
 Suggests: python3-numpy
 Description: bindings of the Message Passing Interface (MPI) standard
  MPI for Python (mpi4py) provides bindings of the Message Passing
@@ -64,6 +66,7 @@
 
 Package: python-mpi4py-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
@@ -82,3 +85,49 @@
  builtin bytes/string/array objects).
  .
  This package provides HTML rendering of the user's manual.
+
+Package: python-mpi4py-dbg
+Architecture: any
+Depends: python-mpi4py (= ${binary:Version}),
+         mpi-default-bin,
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Suggests: python-numpy-dbg
+Description: bindings of the Message Passing Interface (MPI) standard
+ MPI for Python (mpi4py) provides bindings of the Message Passing
+ Interface (MPI) standard for the Python programming language,
+ allowing any Python program to exploit multiple processors.
+ .
+ mpi4py is constructed on top of the MPI-1/MPI-2 specification
+ and provides an object oriented interface which closely follows MPI-2
+ C++ bindings.  It supports point-to-point (sends, receives) and
+ collective (broadcasts, scatters, gathers) communications of any
+ picklable Python object as well as optimized communications of Python
+ object exposing the single-segment buffer interface (NumPy arrays,
+ builtin bytes/string/array objects).
+ .
+ This package contains the extension built for the Python 2 debug interpreter.
+
+Package: python3-mpi4py-dbg
+Architecture: any
+Depends: python3-mpi4py (= ${binary:Version}),
+         mpi-default-bin,
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python3-numpy-dbg
+Description: bindings of the Message Passing Interface (MPI) standard
+ MPI for Python (mpi4py) provides bindings of the Message Passing
+ Interface (MPI) standard for the Python programming language,
+ allowing any Python program to exploit multiple processors.
+ .
+ mpi4py is constructed on top of the MPI-1/MPI-2 specification
+ and provides an object oriented interface which closely follows MPI-2
+ C++ bindings.  It supports point-to-point (sends, receives) and
+ collective (broadcasts, scatters, gathers) communications of any
+ picklable Python object as well as optimized communications of Python
+ object exposing the single-segment buffer interface (NumPy arrays,
+ builtin bytes/string/array objects).
+ .
+ This package contains the extension built for the Python 3 debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PY3 = $(shell py3versions -vd)
PY2VERS = $(shell pyversions -vr)
PY3VERS = $(shell py3versions -vr)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

# Specify a specific version of MPI to use in the build, otherwise
# just use the default.
# MPI=.openmpi

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/


# disable build tests for these arches:
# x32 consistently times out on tests
ARCH_NO_TEST_LIST = x32

empty :=
space := $(empty)$(empty)

# run tests, or not
RUNTEST=yes
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_TEST_LIST)$(space)))
  RUNTEST=no
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  RUNTEST=no
endif

# hurd fails a couple of tests
# but hell, hurd needs all the help it can get, so let it pass
ARCH_IGNORE_FAILED_TESTS = hurd-i386

# normally, do not ignore test failures
IGNORE_FAILED_TESTS=/bin/false
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_IGNORE_FAILED_TESTS)$(space)))
  IGNORE_FAILED_TESTS=/bin/true
endif

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

cythonize:
	@echo "D: removing previously generated by Cython sources"
	find -iname *.c | xargs grep -l 'Generated by Cython' | xargs -r rm
	python3 setup.py build_src

override_dh_autoreconf:
	dh_autoreconf debian/rules -- cythonize

override_dh_auto_build-arch:
	dh_auto_build $@ -- \
		--build-args "--mpicc=/usr/bin/mpicc$(MPI) --mpicxx=/usr/bin/mpicxx$(MPI)"

override_dh_auto_build-indep: override_dh_auto_build-arch
	PYTHONPATH=`/bin/ls -d $(CURDIR)/.pybuild/cpython3_$(PY3)/build` \
	 make -C docs/source/usrman/ html man SPHINXOPTS="-D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	dh_auto_install

	: # Remove python-mpi binaries
	find $(CURDIR)/debian/tmp -name python-mpi -delete
	find $(CURDIR)/debian/tmp -type d -empty -delete

override_dh_install-arch:
	dh_install -ppython-mpi4py  -X*_d.so
	dh_install -ppython3-mpi4py -X*.cpython-3?d*.so
	dh_install -ppython-mpi4py-dbg -ppython3-mpi4py-dbg

	: # create symlinks for .h files
	set -e; for v in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v ] || \
		mkdir -p $(CURDIR)/debian/python-mpi4py/usr/include/python$$v; \
		dh_link -ppython-mpi4py usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
	done
	set -e; for v in $(PY2VERS); do \
	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v_d ] || \
		mkdir -p $(CURDIR)/debian/python-mpi4py-dbg/usr/include/python$$v_d; \
		dh_link -ppython-mpi4py-dbg usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v_d/mpi4py; \
	done

	: # Python 3
	: # Can have python$$v symlink pointing to python3.?m or python3.?mu
	: # see #700995 for more details.  So first look where it points to
	: # and use that directory
	set -e; for v in $(PY3VERS); do \
	ABITAG=`python$$v -c "import sys; print(sys.abiflags)"`; \
	[ -d $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v$$ABITAG ] || \
		mkdir -p $(CURDIR)/debian/python3-mpi4py/usr/include/python$$v$$ABITAG; \
		dh_link -ppython3-mpi4py usr/lib/python3/dist-packages/mpi4py/include/mpi4py usr/include/python$$v$$ABITAG/mpi4py; \
	done
	set -e; for v in $(PY3VERS); do \
	ABITAG=`python$$v-dbg -c "import sys; print(sys.abiflags)"`; \
	[ -d $(CURDIR)/debian/python3-mpi4py-dbg/usr/include/python$$v$$ABITAG ] || \
		mkdir -p $(CURDIR)/debian/python3-mpi4py-dbg/usr/include/python$$v$$ABITAG; \
		dh_link -ppython3-mpi4py-dbg usr/lib/python3/dist-packages/mpi4py/include/mpi4py usr/include/python$$v$$ABITAG/mpi4py; \
	done

override_dh_auto_test:
	set -e; \
	if [ "$(RUNTEST)" = "no" ]; then \
	  echo Build tests have been disabled; \
	else \
	  for vv in $(PY2VERS) $(PY3VERS); do \
	  echo "I: testing using python$$vv"; \
	  v=`echo $$vv | sed "s/\..*//"`; \
	   PYTHONPATH=`/bin/ls -d $(CURDIR)/.pybuild/cpython$${v}_$${vv}/build` \
	    /usr/bin/python$$vv /usr/bin/nosetests -v --exclude='testPackUnpackExternal' -A "not network" || $(IGNORE_FAILED_TESTS); \
	  done; \
	fi

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-mpi4py-doc
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## Immediately useable documentation
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-mpi4py --dbg-package=python-mpi4py-dbg
	dh_strip -ppython3-mpi4py --dbg-package=python3-mpi4py-dbg
	# dh_strip seemingly doesn't catch the PEP 3149-style debug names
	rm -f debian/python3-mpi4py/usr/lib/python3*/*-packages/*/*.cpython-3?d*.so
endif

override_dh_dwz:
	echo "dh_dwz is currently deactivated since it generates an error: \".debug_line reference above end of section\""

override_dh_auto_clean:
	dh_auto_clean $@
	rm -rf `find -name build -type d`
	rm -rf `find -name _build -type d`

	: # Remove Cython generated files
	rm -f src/mpi4py.MPE.c src/mpi4py.MPI.c src/include/mpi4py/mpi4py.MPI_api.h

get-orig-dev-source:
	cd ../mpi4py-hg/; \
	uver=`sed -ne "/__version__/s,.*= *'\(.*\)' *$$,\1,gp" src/__init__.py`; \
	tarball=../tarballs/mpi4py_$$uver+hg`date +"20%y%m%d"`.orig.tar.gz; \
	echo "I: Generating $$tarball"; \
	hg archive --exclude 'misc' -t tgz $$tarball;

## mpi4py 3.0.3

=== conf/CMakeLists.txt ===
--- 
+++ 
@@ -16,14 +16,15 @@
 
 FILE(GLOB mpi4py_PYTHON_FILES
      RELATIVE ${mpi4py_SOURCE_DIR}
-     ${mpi4py_SOURCE_DIR}/*.py)
+     ${mpi4py_SOURCE_DIR}/mpi4py/*.py
+     ${mpi4py_SOURCE_DIR}/mpi4py/futures/*.py
+     )
 
 FILE(GLOB mpi4py_HEADER_FILES
      RELATIVE ${mpi4py_SOURCE_DIR}
-     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.px[di]
-     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.pyx
-     ${mpi4py_SOURCE_DIR}/include/mpi4py/*.[hi]
-     ${mpi4py_SOURCE_DIR}/*.pxd
+     ${mpi4py_SOURCE_DIR}/mpi4py/*.pxd
+     ${mpi4py_SOURCE_DIR}/mpi4py/include/mpi4py/*.[hi]
+     ${mpi4py_SOURCE_DIR}/mpi4py/include/mpi4py/*.px[di]
     )
 
 FOREACH(file
@@ -70,27 +71,34 @@
   PATH_SUFFIXES bin
   DOC "MPI C++ compiler wrapper")
 MARK_AS_ADVANCED(MPI_COMPILER_CXX)
+find_program(MPI_COMPILER_FC
+  NAMES mpifort mpif90 mpif77
+  HINTS "${MPI_BASE_DIR}"
+  PATH_SUFFIXES bin
+  DOC "MPI Fortran compiler wrapper")
+MARK_AS_ADVANCED(MPI_COMPILER_FC)
+FIND_PROGRAM(MPI_COMPILER_F90
+  NAMES mpif90
+  HINTS "${MPI_BASE_DIR}"
+  PATH_SUFFIXES bin
+  DOC "MPI Fortran 90 compiler wrapper")
+MARK_AS_ADVANCED(MPI_COMPILER_F90)
 find_program(MPI_COMPILER_F77
   NAMES mpif77
   HINTS "${MPI_BASE_DIR}"
   PATH_SUFFIXES bin
-  DOC "MPI F77 compiler wrapper")
+  DOC "MPI Fortran 77 compiler wrapper")
 MARK_AS_ADVANCED(MPI_COMPILER_F77)
-FIND_PROGRAM(MPI_COMPILER_F90
-  NAMES mpif90
-  HINTS "${MPI_BASE_DIR}"
-  PATH_SUFFIXES bin
-  DOC "MPI F90 compiler wrapper")
-MARK_AS_ADVANCED(MPI_COMPILER_F90)
 FOREACH(file "mpi.cfg")
   SET(tgt "${mpi4py_BINARY_DIR}/${file}")
   ADD_CUSTOM_COMMAND(
     OUTPUT  ${tgt}
     COMMAND ${CMAKE_COMMAND} ARGS -E echo '[mpi]' > "${tgt}"
-    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpicc  = ${MPI_COMPILER_CC}'  >> ${tgt}
+    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpicc = ${MPI_COMPILER_CC}'   >> ${tgt}
     COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpicxx = ${MPI_COMPILER_CXX}' >> ${tgt}
+    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpifort = ${MPI_COMPILER_FC}' >> ${tgt}
+    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpif90 = ${MPI_COMPILER_F90}' >> ${tgt}
     COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpif77 = ${MPI_COMPILER_F77}' >> ${tgt}
-    COMMAND ${CMAKE_COMMAND} ARGS -E echo 'mpif90 = ${MPI_COMPILER_F90}' >> ${tgt}
     COMMENT "write: ${file}"
     )
   SET(mpi4py_OUTPUT_FILES ${mpi4py_OUTPUT_FILES} ${tgt})

=== docs/source/usrman/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = mpi4py
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
mpi4py (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * drop python-mpi4py (remove python2). Closes: #937088.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jan 2020 15:33:23 +0800

mpi4py (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Nov 2019 12:36:15 +0800

=== debian/control ===
--- 
+++ 
@@ -9,40 +9,16 @@
                mpi-default-dev,
                mpi-default-bin,
                rsh-client | openssh-client,
-               python-all-dev,
-               python-all-dbg,
-               python-numpy,
-               python-nose,
                cython3,
                python3-all-dev,
                python3-all-dbg,
                python3-numpy,
                python3-nose,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py.git
 Homepage: https://bitbucket.org/mpi4py/mpi4py
-
-Package: python-mpi4py
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         mpi-default-bin
-Suggests: python-numpy
-Description: bindings of the Message Passing Interface (MPI) standard
- MPI for Python (mpi4py) provides bindings of the Message Passing
- Interface (MPI) standard for the Python programming language,
- allowing any Python program to exploit multiple processors.
- .
- mpi4py is constructed on top of the MPI-1/MPI-2 specification
- and provides an object oriented interface which closely follows MPI-2
- C++ bindings.  It supports point-to-point (sends, receives) and
- collective (broadcasts, scatters, gathers) communications of any
- picklable Python object as well as optimized communications of Python
- object exposing the single-segment buffer interface (NumPy arrays,
- builtin bytes/string/array objects).
 
 Package: python3-mpi4py
 Architecture: any
@@ -70,7 +46,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Suggests: python-mpi4py
+Suggests: python3-mpi4py
 Description: bindings of the MPI standard -- documentation
  MPI for Python (mpi4py) provides bindings of the Message Passing
  Interface (MPI) standard for the Python programming language,
@@ -85,29 +61,6 @@
  builtin bytes/string/array objects).
  .
  This package provides HTML rendering of the user's manual.
-
-Package: python-mpi4py-dbg
-Architecture: any
-Depends: python-mpi4py (= ${binary:Version}),
-         mpi-default-bin,
-         ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: python-numpy-dbg
-Description: bindings of the Message Passing Interface (MPI) standard
- MPI for Python (mpi4py) provides bindings of the Message Passing
- Interface (MPI) standard for the Python programming language,
- allowing any Python program to exploit multiple processors.
- .
- mpi4py is constructed on top of the MPI-1/MPI-2 specification
- and provides an object oriented interface which closely follows MPI-2
- C++ bindings.  It supports point-to-point (sends, receives) and
- collective (broadcasts, scatters, gathers) communications of any
- picklable Python object as well as optimized communications of Python
- object exposing the single-segment buffer interface (NumPy arrays,
- builtin bytes/string/array objects).
- .
- This package contains the extension built for the Python 2 debug interpreter.
 
 Package: python3-mpi4py-dbg
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 
 PY3 = $(shell py3versions -vd)
-PY2VERS = $(shell pyversions -vr)
 PY3VERS = $(shell py3versions -vr)
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
@@ -43,7 +42,7 @@
 endif
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 cythonize:
 	@echo "D: removing previously generated by Cython sources"
@@ -69,23 +68,9 @@
 	find $(CURDIR)/debian/tmp -type d -empty -delete
 
 override_dh_install-arch:
-	dh_install -ppython-mpi4py  -X*_d.so
 	dh_install -ppython3-mpi4py -X*.cpython-3?d*.so
-	dh_install -ppython-mpi4py-dbg -ppython3-mpi4py-dbg
 
 	: # create symlinks for .h files
-	set -e; for v in $(PY2VERS); do \
-	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v ] || \
-		mkdir -p $(CURDIR)/debian/python-mpi4py/usr/include/python$$v; \
-		dh_link -ppython-mpi4py usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
-	done
-	set -e; for v in $(PY2VERS); do \
-	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v_d ] || \
-		mkdir -p $(CURDIR)/debian/python-mpi4py-dbg/usr/include/python$$v_d; \
-		dh_link -ppython-mpi4py-dbg usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v_d/mpi4py; \
-	done
-
-	: # Python 3
 	: # Can have python$$v symlink pointing to python3.?m or python3.?mu
 	: # see #700995 for more details.  So first look where it points to
 	: # and use that directory
@@ -107,11 +92,11 @@
 	if [ "$(RUNTEST)" = "no" ]; then \
 	  echo Build tests have been disabled; \
 	else \
-	  for vv in $(PY2VERS) $(PY3VERS); do \
+	  for vv in $(PY3VERS); do \
 	  echo "I: testing using python$$vv"; \
 	  v=`echo $$vv | sed "s/\..*//"`; \
 	   PYTHONPATH=`/bin/ls -d $(CURDIR)/.pybuild/cpython$${v}_$${vv}/build` \
-	    /usr/bin/python$$vv /usr/bin/nosetests -v --exclude='testPackUnpackExternal' -A "not network" || $(IGNORE_FAILED_TESTS); \
+	    /usr/bin/python$$vv /usr/bin/nosetests3 -v --exclude='testPackUnpackExternal' -A "not network" || $(IGNORE_FAILED_TESTS); \
 	  done; \
 	fi
 
@@ -129,7 +114,6 @@
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython-mpi4py --dbg-package=python-mpi4py-dbg
 	dh_strip -ppython3-mpi4py --dbg-package=python3-mpi4py-dbg
 	# dh_strip seemingly doesn't catch the PEP 3149-style debug names
 	rm -f debian/python3-mpi4py/usr/lib/python3*/*-packages/*/*.cpython-3?d*.so

=== debian/watch ===
version=4

opts="uversionmangle=s/-([ab])/~$1/g" \
  https://bitbucket.org/mpi4py/mpi4py/downloads .*/mpi4py-@ANY_VERSION@@ARCHIVE_EXT@
